<!doctype html>
<html lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        {block name='head'}
            {include file='_partials/head.tpl'}
            {include file='prepapers/customize.tpl'}
        {/block}
    </head>
<body>

    {block name='header'}
        {include file='prepapers/header.tpl'}
    {/block}

    <section class="home_section">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-8 text-center">
                    <h1 class="display-4 font-weight-bold mb-4">{$page_title}</h1>
                    <p class="lead mb-5">{$page_description}</p>
                    <form class="search_form landing__search" action="/papers" method="get" autocomplete="off">
                        <input class="search_field form-control shadow-none" name="q" type="text" placeholder="Search by Topic, by Question" aria-label="Search" value="{$search_query}">
                        <button class="btn search_submit d-flex align-items-center" type="submit"><i class="icon-search mr-1"></i> Search</button>
                    </form>
                </div>
            </div>
        </div>
    </section>

    <section class="prepaper_section">
        <div class="container">
            <div class="row">
                <article class="col-md-8">
                    {if count($prepapers)}
                        <div class="mb-4">
                            {foreach $prepapers as $prepaper}
                                <div class="card shadow-sm mb-3">
                                    <div class="card-body">
                                        <div class="row no-gutters">
                                            <div class="d-flex align-items-center justify-content-center col-md-2">
                                                <span class="icon-book-open display-3 text-danger"></span>
                                            </div>
                                            <div class="prepaper-details col-md-7">
                                                <div class="prepaper-details__title">
                                                    <h5 class="mb-2">
                                                        <a class="diaply-5 text-primary font-weight-bold" href="{$base_uri}/paper/{$prepaper.slug}">
                                                            {$prepaper.title}
                                                        </a>
                                                    </h5>
                                                </div>
                                                <div class="sample-head__content">
                                                    <p class="sample-head__name">{$prepaper.question_truncated}</p>
                                                    <p class="sample-head__name">{$prepaper.discipline.title} | {$prepaper.paper_format.title} | {$prepaper.paper_type.title}</p>
                                                    <div class="sample-head__desc mb-0">
                                                        <span class="sample-head__desc-item"><strong>Pages:</strong> <span class="js-count-pages">{$prepaper.pages}</span></span>
                                                        <span class="sample-head__desc-item"><strong>Words:</strong> <span class="js-count-words">{$prepaper.words}</span></span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="d-flex align-items-center justify-content-center col-md-3">
                                                <a class="sample-head__link" href="{$base_uri}/paper/{$prepaper.slug}">Buy Now</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {/foreach}
                        </div>

                        <div class="d-flex justify-content-center">
                            {$pager nofilter}
                        </div>
                    {else}

                    <div class="row justify-content-center my-5">
                        <div class="col-md-8 text-center">
                            {if $is_search}
                                <h1 class="display-4 font-weight-bold mb-4">Sorry we couldn't find any matches</h1>
                                <p class="lead mb-5">Your search was too specific, please try searching with another term. Starting whith less specific - you can narrow your results letter</p>
                            {else}
                                <h1 class="display-4 font-weight-bold mb-4">No papers found</h1>
                            {/if}
                                <div class="ourwriters-4-ban">
                                <div class="ourwriters-4-ban-buttons">
                                    <a rel="nofollow" class="ourwriters-4-ban-button-orange" href="{$base_uri}/order">Order now</a>
                                    <span class="ourwriters-4-ban-or">or</span>
                                    <a rel="nofollow" class="ourwriters-4-ban-button-blue" href="{$base_uri}/inquiry">Free inquiry</a>
                                </div>
                            </div>
                        </div>
                    </div>

                    {/if}
                </article>

                <div class="col-md-4">
                    <div class="sidebar">
                        <div class="ourwriters-4-ban">
                            <div class="ourwriters-4-ban-items">
                                <div class="ourwriters-4-ban-item">
                                    <div class="ourwriters-4-ban-item-ico ourwriters-4-ban-item-ico1"></div>
                                    <div class="ourwriters-4-ban-subtitle">Qualified writers only</div>
                                </div>
                                <div class="ourwriters-4-ban-item">
                                    <div class="ourwriters-4-ban-item-ico ourwriters-4-ban-item-ico2"></div>
                                    <div class="ourwriters-4-ban-subtitle">Plagiarism free guarantee</div>
                                </div>
                                <div class="ourwriters-4-ban-item">
                                    <div class="ourwriters-4-ban-item-ico ourwriters-4-ban-item-ico3"></div>
                                    <div class="ourwriters-4-ban-subtitle">It'll take you just 2 minutes</div>
                                </div>
                            </div>
                            <div class="ourwriters-4-ban-buttons">
                                <a rel="nofollow" class="ourwriters-4-ban-button-orange" href="{$base_uri}/order">Order now</a>
                                <span class="ourwriters-4-ban-or">or</span>
                                <a rel="nofollow" class="ourwriters-4-ban-button-blue" href="{$base_uri}/inquiry">Free inquiry</a>
                            </div>
                        </div>

                        {block name='sidebar'}
                            {include file='prepapers/sidebar.tpl'}
                        {/block}
                    </div>
                </div>
            </div>
        </div>
    </section>

    {block name='footer'}
        {include file='prepapers/footer.tpl'}
    {/block}

    {block name='javascript_bottom'}
        {include file="_partials/javascript.tpl" javascript=$javascript.bottom}
    {/block}

</body>
</html>